image: docker:latest

services:
  - docker:dind

stages:
  - build

build-job:
  stage: build
  script:
    - echo -n $TOKEN | docker login $REGISTRY -u $USER --password-stdin
    - docker build . -t $REGISTRY_NAME
    - docker push $REGISTRY_NAME
